#pragma once 

#include "mbed.h"

// declare the osDelay (usually from cmsis_os.h)
extern "C" void osDelay(uint32_t ms);

/** A wait function that is independent whether the OS is includes or not
    if rtos is included the Thread will yield for a certain time 
    otherwise (without rtos) it will just stay in a busy loop.
    
    \param ms number of milliseconds to wait
*/
inline void RELAX_MS(int ms) { 
    osDelay(ms); 
}